/***   [windmgr.h]
*
*	For GNU C Compiler (GCC)
*
***/

#if !defined(_RECT_DEFINED)
struct RECT {
	short	x1;
	short	y1;
	short	x2;
	short	y2;
};
#define _RECT_DEFINED
#endif

struct wmgr_t {
	char	sort;
	int		no;
	struct RECT	cxy;
	struct RECT	pxy;
	void	*inf;
};

int		WMGR_regi(int, const char *, struct RECT *, struct RECT *);
void	WMGR_place(int, int, int, int, struct RECT *);
void	WMGR_draw(int);
int		WMGR_no(int);
void	WMGR_cord(int no, struct RECT *);
int		WMGR_open(int, int, int, int);
void	*WMGR_inf(int);
int		WMGR_pile(int);
int		WMGR_nWind(void);
int		WMGR_cWind(void);
int		WMGR_onWind(int, int);
void	WMGR_unregi(int);
void	WMGR_close(void);
void	WMGR_vanish(int, int, int);
void	WMGR_change(int, struct RECT *);
void	WMGR_pcord(int, struct RECT *);
void	WMGR_main(int, int);
